# POST /control/v1/billing/topups

> CreateTopup

- `operationId`: `ControlV1BillingTopupsCreateTopup`
- Group: [Billing](https://sference.com/docs/api-reference/billing.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/billing/ControlV1BillingTopupsCreateTopup

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `nonce` | query | string | yes | Client-generated nonce to stabilize idempotency. |

## Request body (required)

Content type `application/json`. Schema: `TopupCreateRequest`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `amount_usd` | string | yes | — | — |

## Responses

### `201` — Document created, URL follows

Schema: `TopupCreateResponse`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `stripe_session_id` | string | yes | — | — |
| `checkout_url` | string | yes | — | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/billing/ControlV1BillingTopupsCreateTopup
